Subject: Re: [Edm] s2n-quic compliance

From: "Bytheway, Cameron" <[email-masked]>
Date: Wed, 16 Mar 2022 18:17:12 +0000

Glad to see some interest in our compliance tool! It's been incredibly useful in the development of s2n-quic.

You're correct: normative requirements definitely don't capture everything. As a convenience, we automatically extract requirements using the normative wording into spec files (for example: https://github.com/aws/s2n-quic/blob/main/specs/www.rfc-editor.org/rfc/rfc9000). However, the tool isn't entirely coupled to normative wording and allows for arbitrary requirements to be defined by adding or modifying the spec files.

> This is quite interesting. Thanks for sharing! 
>
> I guess, while all MUST/SHOULD/MAY clearly indicate a normative requirement, I don’t think that necessarily all normative requirements are indicted by one of these keywords. So this is a nice compliance check but probably not complete.
>
>
>> On 20. Feb 2022, at 00:15, Christopher Wood <[email-masked]> wrote:
>> 
>> Hi folks,
>> 
>> In case you haven’t seen it yet, Amazon’s QUIC implementation (s2n-quic) comes with a very clever way of tracking compliance between the code and various specifications. Check it out here:
>> 
>> https://dnglbrstg7yg.cloudfront.net/08c33571ee8679775e810303f65c96c1d48e270d/compliance.html#/
>> 
>> I’m sharing here because I think it’s useful input to the program, especially as we consider how to track implementations for various specifications. 
>> 
>> Best,
>> Chris
>> 
>> -- 
>> Edm mailing list
>> [email-masked]
>> https://www.iab.org/mailman/listinfo/edm